Skip to main content
GET
cURL

Expired snapshots

Dataset snapshots are available for 14 days after they are generated. After this period, the snapshot expires and its content can no longer be downloaded or delivered. To access the data again, create a new snapshot for the same dataset.

Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Path Parameters

id
string
required

A Snapshot ID is a unique identifier for a specific data snapshot, used to retrieve results from a data collection job triggered via the API. Read more about Snapshot ID.

Example:

"snap_m2bxug4e2o352v1jv1"

Response

OK

id
string
created
string<date-time>
status
enum<string>
Available options:
scheduled,
building,
ready,
failed
dataset_id
string
customer_id
string
dataset_size
integer

Number of records in the snapshot

file_size
integer

Size of the snapshot file in bytes

cost
number
error
string
error_code
string
warning
string
warning_code
string
initiation_type
string